Subject: Re: include paths
From: [email-masked] (Jim Balter)

28 Feb 1997 21:46:51 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.01Gold (WinNT; I)
Original-To: "Bruce D. McLeod" <[email-masked]>
Original-CC: [email-masked], [email-masked]
Original-Sender: [email-masked]

Bruce D. McLeod wrote:
> 
> It seems that most of the win32 stuff under bash accepts //x/ as
> a drive specification, except gcc include paths.

It seems that you haven't RTFM.

From either http://www.cygnus.com/misc/gnu-win32/faq.html or
http://www.cygnus.com/misc/gnu-win32/readme.html:

Programs can't deal with // pathname scheme in arguments

  gcc and other tools aren't fully compatible with the current pathname
  scheme: it can't grok an argument of -I//d/foo
  which means it is vital that when attempting to self-host, that only
  normal paths with single slashes are used. 

See the FAQ section "How can I get at other disks?" for use of the
mount command that lets you avoid the double /.

--
<J Q B>
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".